function r=RV(names,sizes,times);
% create RV from cell of names, vector of sizes and vector of time delayes

r.class='RV';
if isstr(names)
    names = {names};
end
r.names=names;

if nargin>1
    r.sizes = sizes;
else
    r.sizes = ones(1,length(names));
end
if nargin>2
    r.times = times;
else
    r.times = zeros(1,length(names));
end